diff -uNr wxWidgets-3.0.2.orig/src/common/filefn.cpp wxWidgets-3.0.2/src/common/filefn.cpp
--- wxWidgets-3.0.2.orig/src/common/filefn.cpp	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/common/filefn.cpp	2017-09-16 22:42:14.000000000 -0400
@@ -909,7 +909,7 @@
     FSRef fsRef;
     wxMacPathToFSRef( path , &fsRef );
     err = FSGetCatalogInfo(&fsRef, kFSCatInfoNone, NULL, NULL, spec, NULL);
-    verify_noerr( err );
+    wxASSERT( 0 == err );
 }
 #endif
 
diff -uNr wxWidgets-3.0.2.orig/src/osx/carbon/icon.cpp wxWidgets-3.0.2/src/osx/carbon/icon.cpp
--- wxWidgets-3.0.2.orig/src/osx/carbon/icon.cpp	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/osx/carbon/icon.cpp	2017-09-16 22:42:14.000000000 -0400
@@ -279,7 +279,7 @@
     if ( theId != 0 )
     {
         IconRef iconRef = NULL ;
-        verify_noerr( GetIconRef( kOnSystemDisk, kSystemIconsCreator, theId, &iconRef ) ) ;
+        wxASSERT( 0 == GetIconRef( kOnSystemDisk, kSystemIconsCreator, theId, &iconRef ) ) ;
         if ( iconRef )
         {
             m_refData = new wxIconRefData( (WXHICON) iconRef, desiredWidth, desiredHeight ) ;
diff -uNr wxWidgets-3.0.2.orig/src/osx/carbon/region.cpp wxWidgets-3.0.2/src/osx/carbon/region.cpp
--- wxWidgets-3.0.2.orig/src/osx/carbon/region.cpp	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/osx/carbon/region.cpp	2017-09-16 22:42:14.000000000 -0400
@@ -1021,7 +1021,7 @@
 
     AllocExclusive();
 
-    verify_noerr( HIShapeOffset( M_REGION , x , y ) ) ;
+    wxASSERT( 0 == HIShapeOffset( M_REGION , x , y ) ) ;
 
     return true ;
 }
@@ -1076,11 +1076,11 @@
     switch (op)
     {
         case wxRGN_AND:
-            verify_noerr( HIShapeIntersect( M_REGION , OTHER_M_REGION(region) , M_REGION ) );
+            wxASSERT( 0 == HIShapeIntersect( M_REGION , OTHER_M_REGION(region) , M_REGION ) );
             break ;
 
         case wxRGN_OR:
-            verify_noerr( HIShapeUnion( M_REGION , OTHER_M_REGION(region) , M_REGION ) );
+            wxASSERT( 0 == HIShapeUnion( M_REGION , OTHER_M_REGION(region) , M_REGION ) );
             break ;
 
         case wxRGN_XOR:
@@ -1088,12 +1088,12 @@
                 // XOR is defined as the difference between union and intersection
                 wxCFRef< HIShapeRef > unionshape( HIShapeCreateUnion( M_REGION , OTHER_M_REGION(region) ) );
                 wxCFRef< HIShapeRef > intersectionshape( HIShapeCreateIntersection( M_REGION , OTHER_M_REGION(region) ) );
-                verify_noerr( HIShapeDifference( unionshape, intersectionshape, M_REGION ) );
+                wxASSERT( 0 == HIShapeDifference( unionshape, intersectionshape, M_REGION ) );
             }
             break ;
 
         case wxRGN_DIFF:
-            verify_noerr( HIShapeDifference( M_REGION , OTHER_M_REGION(region) , M_REGION ) ) ;
+            wxASSERT( 0 == HIShapeDifference( M_REGION , OTHER_M_REGION(region) , M_REGION ) ) ;
             break ;
 
         case wxRGN_COPY:
diff -uNr wxWidgets-3.0.2.orig/src/osx/carbon/thread.cpp wxWidgets-3.0.2/src/osx/carbon/thread.cpp
--- wxWidgets-3.0.2.orig/src/osx/carbon/thread.cpp	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/osx/carbon/thread.cpp	2017-09-16 22:42:14.000000000 -0400
@@ -163,7 +163,7 @@
     m_isOk = false;
     m_critRegion = kInvalidID;
 
-    verify_noerr( MPCreateCriticalRegion( &m_critRegion ) );
+    wxASSERT( 0 == MPCreateCriticalRegion( &m_critRegion ) );
     m_isOk = ( m_critRegion != kInvalidID );
     if ( !IsOk() )
     {
@@ -278,7 +278,7 @@
         // make it practically infinite
         maxcount = INT_MAX;
 
-    verify_noerr( MPCreateSemaphore( maxcount, initialcount, &m_semaphore ) );
+    wxASSERT( 0 == MPCreateSemaphore( maxcount, initialcount, &m_semaphore ) );
     m_isOk = ( m_semaphore != kInvalidID );
 
     if ( !IsOk() )
@@ -603,7 +603,7 @@
     wxThreadInternal *pthread = thread->m_internal;
 
     // add to TLS so that This() will work
-    verify_noerr( MPSetTaskStorageValue( gs_tlsForWXThread , (TaskStorageValue) thread ) ) ;
+    wxASSERT( 0 == MPSetTaskStorageValue( gs_tlsForWXThread , (TaskStorageValue) thread ) ) ;
 
     // have to declare this before pthread_cleanup_push() which defines a
     // block!
@@ -1219,8 +1219,8 @@
     }
 
     // main thread's This() is NULL
-    verify_noerr( MPAllocateTaskStorageIndex( &gs_tlsForWXThread ) ) ;
-    verify_noerr( MPSetTaskStorageValue( gs_tlsForWXThread, 0 ) ) ;
+    wxASSERT( 0 == MPAllocateTaskStorageIndex( &gs_tlsForWXThread ) ) ;
+    wxASSERT( 0 == MPSetTaskStorageValue( gs_tlsForWXThread, 0 ) ) ;
 
     wxThread::ms_idMainThread = wxThread::GetCurrentId();
     gs_critsectWaitingForGui = new wxCriticalSection();
diff -uNr wxWidgets-3.0.2.orig/src/osx/cocoa/notebook.mm wxWidgets-3.0.2/src/osx/cocoa/notebook.mm
--- wxWidgets-3.0.2.orig/src/osx/cocoa/notebook.mm	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/osx/cocoa/notebook.mm	2017-09-16 22:42:14.000000000 -0400
@@ -322,7 +322,7 @@
     OSStatus err = CreateTabsControl(
         MAC_WXHWND(parent->MacGetTopLevelWindowRef()), &bounds,
         tabsize, tabstyle, 0, NULL, GetPeer()->GetControlRefAddr() );
-    verify_noerr( err );
+    wxASSERT( 0 == err );
 #endif
 */
 wxWidgetImplType* wxWidgetImpl::CreateTabView( wxWindowMac* wxpeer,
diff -uNr wxWidgets-3.0.2.orig/src/osx/core/bitmap.cpp wxWidgets-3.0.2/src/osx/core/bitmap.cpp
--- wxWidgets-3.0.2.orig/src/osx/core/bitmap.cpp	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/osx/core/bitmap.cpp	2017-09-16 22:42:14.000000000 -0400
@@ -1064,7 +1064,7 @@
 IconRef wxBitmap::CreateIconRef() const
 {
     IconRef icon = GetIconRef();
-    verify_noerr( AcquireIconRef(icon) );
+    wxASSERT( 0 == AcquireIconRef(icon) );
     return icon;
 }
 #endif
diff -uNr wxWidgets-3.0.2.orig/src/osx/core/utilsexc_base.cpp wxWidgets-3.0.2/src/osx/core/utilsexc_base.cpp
--- wxWidgets-3.0.2.orig/src/osx/core/utilsexc_base.cpp	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/osx/core/utilsexc_base.cpp	2017-09-16 23:43:49.000000000 -0400
@@ -62,7 +62,7 @@
     static SInt32 sUMASystemVersion = 0 ;
     if ( sUMASystemVersion == 0 )
     {
-        verify_noerr(Gestalt(gestaltSystemVersion, &sUMASystemVersion));
+        wxASSERT( 0 == Gestalt(gestaltSystemVersion, &sUMASystemVersion) );
     }
     return sUMASystemVersion ;
 }
diff -uNr wxWidgets-3.0.2.orig/src/stc/scintilla/src/Editor.cxx wxWidgets-3.0.2/src/stc/scintilla/src/Editor.cxx
--- wxWidgets-3.0.2.orig/src/stc/scintilla/src/Editor.cxx	2014-10-06 17:33:44.000000000 -0400
+++ wxWidgets-3.0.2/src/stc/scintilla/src/Editor.cxx	2017-09-16 23:35:23.000000000 -0400
@@ -11,6 +11,7 @@
 #include <ctype.h>
 #include <assert.h>
 
+#include <cmath>
 #include <string>
 #include <vector>
 #include <map>