diff -ruN wxWidgets-3.0.5-orig/configure wxWidgets-3.0.5/configure
--- wxWidgets-3.0.5-orig/configure	2020-04-22 08:09:28.000000000 -0500
+++ wxWidgets-3.0.5/configure	2020-07-09 06:30:31.000000000 -0500
@@ -1041,6 +1041,7 @@
 docdir
 oldincludedir
 includedir
+runstatedir
 localstatedir
 sharedstatedir
 sysconfdir
@@ -1461,6 +1462,7 @@
 sysconfdir='${prefix}/etc'
 sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
+runstatedir='${localstatedir}/run'
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
 docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
@@ -1713,6 +1715,15 @@
   | -silent | --silent | --silen | --sile | --sil)
     silent=yes ;;
 
+  -runstatedir | --runstatedir | --runstatedi | --runstated \
+  | --runstate | --runstat | --runsta | --runst | --runs \
+  | --run | --ru | --r)
+    ac_prev=runstatedir ;;
+  -runstatedir=* | --runstatedir=* | --runstatedi=* | --runstated=* \
+  | --runstate=* | --runstat=* | --runsta=* | --runst=* | --runs=* \
+  | --run=* | --ru=* | --r=*)
+    runstatedir=$ac_optarg ;;
+
   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
     ac_prev=sbindir ;;
   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
@@ -1850,7 +1861,7 @@
 for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
 		datadir sysconfdir sharedstatedir localstatedir includedir \
 		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
-		libdir localedir mandir
+		libdir localedir mandir runstatedir
 do
   eval ac_val=\$$ac_var
   # Remove trailing slashes.
@@ -2003,6 +2014,7 @@
   --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
   --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
   --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
+  --runstatedir=DIR       modifiable per-process data [LOCALSTATEDIR/run]
   --libdir=DIR            object code libraries [EPREFIX/lib]
   --includedir=DIR        C header files [PREFIX/include]
   --oldincludedir=DIR     C header files for non-gcc [/usr/include]
@@ -21657,47 +21669,8 @@
 
 
 SEARCH_INCLUDE="\
-    /usr/local/include        \
-    /usr/local/X11/include    \
-    /usr/local/include/X11    \
-    /usr/local/X11R7/include  \
-    /usr/local/X11R6/include  \
-    /usr/local/include/X11R7  \
-    /usr/local/include/X11R6  \
-                              \
-    /usr/Motif-2.1/include    \
-    /usr/Motif-1.2/include    \
-    /usr/include/Motif1.2     \
-                              \
-    /usr/dt/include           \
-    /usr/openwin/include      \
-                              \
-    /usr/include/Xm           \
-                              \
-    /usr/X11R7/include        \
-    /usr/X11R6/include        \
-    /usr/X11R6.4/include      \
-                              \
-    /usr/include/X11R7        \
-    /usr/include/X11R6        \
-                              \
-    /usr/X11/include          \
-    /usr/include/X11          \
-                              \
-    /usr/XFree86/include/X11  \
-    /usr/pkg/include          \
-                              \
-    /usr/local/X1R5/include  \
-    /usr/local/include/X11R5  \
-    /usr/X11R5/include        \
-    /usr/include/X11R5        \
-                              \
-    /usr/local/X11R4/include  \
-    /usr/local/include/X11R4  \
-    /usr/X11R4/include        \
-    /usr/include/X11R4        \
-                              \
-    /usr/openwin/share/include"
+    @FINK_PREFIX@/include        \
+    /opt/X11/include"
 
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for libraries directories" >&5
 $as_echo_n "checking for libraries directories... " >&6; }
@@ -36361,32 +36334,9 @@
 fi
 if test "$wxUSE_WEBKIT" = "yes"; then
     if test "$wxUSE_MAC" = 1 -a "$USE_DARWIN" = 1; then
-        old_CPPFLAGS="$CPPFLAGS"
-        CPPFLAGS="-x objective-c++ $CPPFLAGS"
-        ac_fn_c_check_header_compile "$LINENO" "WebKit/HIWebView.h" "ac_cv_header_WebKit_HIWebView_h" "
-                           #include <Carbon/Carbon.h>
-                           #include <WebKit/WebKit.h>
-
-"
-if test "x$ac_cv_header_WebKit_HIWebView_h" = xyes; then :
-
-                           $as_echo "#define wxUSE_WEBKIT 1" >>confdefs.h
-
-                           WEBKIT_LINK="-framework WebKit"
-
-else
-
-                           { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: WebKit headers not found; disabling wxWebKit" >&5
-$as_echo "$as_me: WARNING: WebKit headers not found; disabling wxWebKit" >&2;}
-                           wxUSE_WEBKIT=no
-
-fi
-
-
-        CPPFLAGS="$old_CPPFLAGS"
-    elif test "$wxUSE_OLD_COCOA" = 1; then
         $as_echo "#define wxUSE_WEBKIT 1" >>confdefs.h
 
+        WEBKIT_LINK="-Wl,-framework,WebKit"
     else
         wxUSE_WEBKIT=no
     fi
@@ -36719,27 +36669,8 @@
 fi
             fi
         elif test "$wxUSE_MAC" = 1 -a "$USE_DARWIN" = 1; then
-                                    old_CPPFLAGS="$CPPFLAGS"
-            CPPFLAGS="-x objective-c++ $CPPFLAGS"
-            ac_fn_c_check_header_compile "$LINENO" "WebKit/HIWebView.h" "ac_cv_header_WebKit_HIWebView_h" "
-                                #include <Carbon/Carbon.h>
-                                #include <WebKit/WebKit.h>
-
-"
-if test "x$ac_cv_header_WebKit_HIWebView_h" = xyes; then :
-
-                                USE_WEBVIEW_WEBKIT=1
-                                WEBKIT_LINK="-framework WebKit"
-
-else
-
-                                { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: WebKit headers not found" >&5
-$as_echo "$as_me: WARNING: WebKit headers not found" >&2;}
-
-fi
-
-
-            CPPFLAGS="$old_CPPFLAGS"
+            USE_WEBVIEW_WEBKIT=1
+            WEBKIT_LINK="-Wl,-framework,WebKit"
         fi
     fi
 
diff -ruN wxWidgets-3.0.5-orig/include/wx/platform.h wxWidgets-3.0.5/include/wx/platform.h
--- wxWidgets-3.0.5-orig/include/wx/platform.h	2020-04-22 08:09:28.000000000 -0500
+++ wxWidgets-3.0.5/include/wx/platform.h	2020-07-09 07:17:52.000000000 -0500
@@ -32,6 +32,27 @@
 #    ifndef MAC_OS_X_VERSION_10_8
 #       define MAC_OS_X_VERSION_10_8 1080
 #    endif
+#    ifndef MAC_OS_X_VERSION_10_9
+#       define MAC_OS_X_VERSION_10_9 1090
+#    endif
+#    ifndef MAC_OS_X_VERSION_10_10
+#       define MAC_OS_X_VERSION_10_10 101000
+#    endif
+#    ifndef MAC_OS_X_VERSION_10_11
+#       define MAC_OS_X_VERSION_10_11 101100
+#    endif
+#    ifndef MAC_OS_X_VERSION_10_12
+#       define MAC_OS_X_VERSION_10_12 101200
+#    endif
+#    ifndef MAC_OS_X_VERSION_10_13
+#       define MAC_OS_X_VERSION_10_13 101300
+#    endif
+#    ifndef MAC_OS_X_VERSION_10_14
+#       define MAC_OS_X_VERSION_10_14 101400
+#    endif
+#    ifndef MAC_OS_X_VERSION_10_15
+#       define MAC_OS_X_VERSION_10_15 101500
+#    endif
 #    include "wx/osx/config_xcode.h"
 #    ifndef __WXOSX__
 #        define __WXOSX__ 1
diff -ruN wxWidgets-3.0.5-orig/src/html/htmlctrl/webkit/webkit.mm wxWidgets-3.0.5/src/html/htmlctrl/webkit/webkit.mm
--- wxWidgets-3.0.5-orig/src/html/htmlctrl/webkit/webkit.mm	2020-04-22 08:09:28.000000000 -0500
+++ wxWidgets-3.0.5/src/html/htmlctrl/webkit/webkit.mm	2020-07-09 07:18:27.000000000 -0500
@@ -24,9 +24,11 @@
 #include "wx/osx/private.h"
 
 #include <WebKit/WebKit.h>
+#if MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_15
 #include <WebKit/HIWebView.h>
 #include <WebKit/CarbonUtils.h>
 #endif
+#endif
 
 #include "wx/html/webkit.h"
 
diff -ruN wxWidgets-3.0.5-orig/src/osx/webview_webkit.mm wxWidgets-3.0.5/src/osx/webview_webkit.mm
--- wxWidgets-3.0.5-orig/src/osx/webview_webkit.mm	2020-04-22 08:09:28.000000000 -0500
+++ wxWidgets-3.0.5/src/osx/webview_webkit.mm	2020-07-09 07:18:57.000000000 -0500
@@ -29,8 +29,10 @@
 #include "wx/filesys.h"
 
 #include <WebKit/WebKit.h>
-#include <WebKit/HIWebView.h>
-#include <WebKit/CarbonUtils.h>
+#if MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_15
+  #include <WebKit/HIWebView.h>
+  #include <WebKit/CarbonUtils.h>
+#endif
 
 #include <Foundation/NSURLError.h>
 